package it.integry.integrywmsnative.core.rest.model.uds;

import java.math.BigDecimal;
import java.time.LocalDate;

import it.integry.integrywmsnative.core.model.MtbColr;
import it.integry.integrywmsnative.core.model.MtbColt;

public class InsertUDSRowRequestDTO {

    private MtbColr sourceMtbColr;
    private MtbColt targetMtbColt;

    private String codMart;
    private BigDecimal qtaTot;
    private BigDecimal qtaCnf;
    private BigDecimal numCnf;
    private String partitaMag;
    private LocalDate dataScad;

    public MtbColr getSourceMtbColr() {
        return sourceMtbColr;
    }

    public InsertUDSRowRequestDTO setSourceMtbColr(MtbColr sourceMtbColr) {
        this.sourceMtbColr = sourceMtbColr;
        return this;
    }

    public MtbColt getTargetMtbColt() {
        return targetMtbColt;
    }

    public InsertUDSRowRequestDTO setTargetMtbColt(MtbColt targetMtbColt) {
        this.targetMtbColt = targetMtbColt;
        return this;
    }

    public String getCodMart() {
        return codMart;
    }

    public InsertUDSRowRequestDTO setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public BigDecimal getQtaTot() {
        return qtaTot;
    }

    public InsertUDSRowRequestDTO setQtaTot(BigDecimal qtaTot) {
        this.qtaTot = qtaTot;
        return this;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public InsertUDSRowRequestDTO setQtaCnf(BigDecimal qtaCnf) {
        this.qtaCnf = qtaCnf;
        return this;
    }

    public BigDecimal getNumCnf() {
        return numCnf;
    }

    public InsertUDSRowRequestDTO setNumCnf(BigDecimal numCnf) {
        this.numCnf = numCnf;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public InsertUDSRowRequestDTO setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public LocalDate getDataScad() {
        return dataScad;
    }

    public InsertUDSRowRequestDTO setDataScad(LocalDate dataScad) {
        this.dataScad = dataScad;
        return this;
    }
}
